<ion-header class="header">
  <ion-toolbar color="primary">
    <ion-buttons (click)="backClicked()" slot="start">
      <ion-back-button defaultHref=""></ion-back-button>
    </ion-buttons>
    <ion-title>{{ kost.kostName }}</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-grid>

    <ion-row>
      <ion-col>
        <ion-img [src]="firstImage"></ion-img>
      </ion-col>
    </ion-row>

    <ion-row>
      <ion-col *ngFor="let img of kost.imgUrl">
        <ion-img
        [class]="img === firstImage ? 'orange-spot': ''"
        [src]="img" (click)="changeImage(img)"></ion-img>
      </ion-col>
    </ion-row>

    <ion-row>
      <ion-col>
        <ion-card>
          <ion-card-header>
            <ion-card-title>{{ kost.kostName }}</ion-card-title>
            <ion-card-subtitle>{{ kost.kostAddress }}</ion-card-subtitle>
            <ion-card-subtitle>Rating: {{ kost.rating }}/5</ion-card-subtitle>
            <ion-card-subtitle class="price">Rp. {{ kost.price }}/{{ kost.paymentDuration }}</ion-card-subtitle>
          </ion-card-header>
          <ion-card-content>
            <p>Kamar Tersedia: {{ kost.availableRoom }}/{{ kost.totalRoom }}</p>
            <p>Fasilitas :</p>
            <ul class="facility">
              <li *ngFor="let f of kost.facility">{{ f }}</li>
            </ul>
          </ion-card-content>
        </ion-card>
      </ion-col>
    </ion-row>

    <div>
      <ion-button expand="block" [routerLink]="['/', 'tabs', 'transaction', kost.id]" >
        Pesan Sekarang
      </ion-button>
    </div>

  </ion-grid>

</ion-content>
